/*

	test.c

*/

#include "kipdj.h"

int main(void)
{
	int s;
	struct sockaddr_in sin;
	char buffer[4096];
	int n;

	_kipdj_blocking=1;

	if(!_kipdj_startup())
	{
		printf("Error: %d\n", _kipdj_error);
		return(1);
	}

	printf("Init OK\n");

	s=socket(AF_INET, SOCK_STREAM, 0);

	printf("socket...\n");

	if(_kipdj_error)
	{
		printf("socket Error: %d\n", _kipdj_error);
		return(1);
	}

	sin.sin_family=AF_INET;
	sin.sin_port=htons(79);
	sin.sin_addr.s_addr=inet_addr("111.1.2.1");

/*	  sin.sin_addr.s_addr=htonl(_kipdj_ip(192,168,0,4));*/
/*	  sin.sin_addr.s_addr=htonl(_kipdj_ip(192,246,40,37));*/

	if(connect(s,(struct sockaddr *) &sin, sizeof(struct sockaddr))==-1)
	{
		printf("connect Error: %d\n", _kipdj_error);
		closesocket(s);
		return(1);
	}

	printf("connect...\n");

	strcpy(buffer,"johannes\r\n");
	if(send(s,buffer,strlen(buffer),0)<0)
	{
		printf("send Error: %d\n", _kipdj_error);
		closesocket(s);
		return(1);
	}

	printf("send...\n");

	n=recv(s,buffer,4096,0);
	if(n)
		buffer[n]='\0';

	printf("recv buffer: [%s]\n",buffer);

	closesocket(s);

	printf("close...\n");

	return(0);
}
